%define debug_package %{nil}

Summary: Development package for Unirec message format handling.
Name: unirec
Version: 3.3.2
Release: 1
URL: http://www.liberouter.org/
Source0: https://github.com/CESNET/Nemea-Framework/raw/dist-packages/unirec/%{name}-%{version}.tar.gz
Group: Liberouter
License: BSD
Vendor: CESNET, z.s.p.o.
Packager: Pavel Siska <siska@cesnet.cz>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: libtrap
BuildRequires: gcc gcc-c++ make doxygen pkgconfig libtrap-devel
Provides: unirec

%description
This package contains header files for Unirec library. Install this package
if you want to develop programs that use Unirec message format.

%prep
%setup

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --bindir=%{_bindir}/nemea --docdir=%{_docdir} --disable-doxygen-pdf --disable-doxygen-ps --disable-tests -q
make -j4
make doc

%install
make DESTDIR=$RPM_BUILD_ROOT install -j4

%post
ldconfig

%files
%{_libdir}/pkgconfig/unirec.pc
%{_libdir}/pkgconfig/unirec++.pc
%{_libdir}/libunirec.a
%{_libdir}/libunirec++.*
%{_bindir}/nemea/ur_values.sh
%{_bindir}/nemea/ur_processor.sh
%{_docdir}/unirec/*
%{_includedir}/unirec/*
%{_includedir}/unirec++/bidirectionalInterface.hpp
%{_includedir}/unirec++/inputInterface.hpp
%{_includedir}/unirec++/interfaceStats.hpp
%{_includedir}/unirec++/ipAddress.hpp
%{_includedir}/unirec++/macAddress.hpp
%{_includedir}/unirec++/outputInterface.hpp
%{_includedir}/unirec++/trapModuleInfo.hpp
%{_includedir}/unirec++/unirecArray.hpp
%{_includedir}/unirec++/unirecException.hpp
%{_includedir}/unirec++/unirec.hpp
%{_includedir}/unirec++/unirecRecord.hpp
%{_includedir}/unirec++/unirecRecordView.hpp
%{_includedir}/unirec++/unirecTypes.hpp
%{_includedir}/unirec++/unirecTypeTraits.hpp
%{_includedir}/unirec++/urTime.hpp

